<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/white"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:fillViewport="true"
    android:orientation="vertical"
    android:paddingTop="@dimen/seekbarsize">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/buttonHeightNormal"
            android:background="#ffffff"
            android:elevation="@dimen/seekbarsize_small"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">
            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:scrollHorizontally="true"
                android:singleLine="true"
                android:textAllCaps="true"
                android:textStyle="bold"
                android:textColor="@color/btn_bg_color"
                android:textSize="@dimen/textSizeAverage" />


        </androidx.appcompat.widget.Toolbar>

    </com.google.android.material.appbar.AppBarLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_gravity="center"
        android:layout_weight="0.54"
        android:gravity="center"
        android:orientation="vertical">


        <ImageView
            android:layout_width="@dimen/buttonHeightLarge"
            android:layout_height="@dimen/buttonHeightLarge"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/textSize"
            android:contentDescription="@string/app_name"
            android:src="@drawable/setpassword1"
            android:visibility="visible" />

        <TextView
            android:id="@+id/pin_code_step_textview"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="@dimen/textSize"
            android:textColor="#000000"
            android:textSize="@dimen/textSize"
            tools:ignore="SpUsage" />

        <com.cygnusa.hyperm.screenpinview.views.PinCodeRoundView
            android:id="@+id/pin_code_round_view"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginBottom="@dimen/pin_code_elements_margin"
            android:layout_marginTop="@dimen/pin_code_round_top_margin" />

        <TextView
            android:id="@+id/pin_code_forgot_textview"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center|right"
            android:maxLines="1"
            android:gravity="right"
            android:layout_marginRight="@dimen/textSize"
            android:textColor="@color/material_black"
            android:textSize="@dimen/pin_code_forgot_text_size"
            android:visibility="visible"
            android:text="@string/pin_code_forgot_text" />

        <LinearLayout
            android:id="@+id/pin_code_gray_bar"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginBottom="@dimen/light_gray_bar_margin_bottom"
            android:layout_marginLeft="@dimen/light_gray_bar_margin_sides"
            android:layout_marginRight="@dimen/light_gray_bar_margin_sides"
            android:layout_marginTop="@dimen/light_gray_bar_margin_top"
            android:background="@color/grey"
            android:orientation="horizontal"
            android:visibility="gone" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dip"
        android:layout_weight="0.5"
        android:orientation="vertical">

        <com.cygnusa.hyperm.screenpinview.views.KeyboardView
            android:id="@+id/pin_code_keyboard_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/btn_bg_color"
            android:gravity="center" />

    </LinearLayout>
</LinearLayout>